using System;

internal sealed class Delegate742 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate742 delegate742_1)
	{
		return delegate742_1(object_0);
	}

	public extern Delegate742(object object_0, IntPtr intptr_0);

	static Delegate742()
	{
		Class10.smethod_13(typeof(Delegate742).TypeHandle);
	}

	internal static Delegate742 delegate742_0;
}
